package jbpm;

import org.jboss.seam.Component;
import org.jboss.seam.log.Log;
import org.jboss.seam.log.Logging;
import org.jbpm.graph.def.ActionHandler;
import org.jbpm.graph.exe.ExecutionContext;

import application.model.NetworkSwitch;

import cisco.ParseSwitchInterface;

public class CiscoError implements ActionHandler {

	/**
	 * Logger for this class
	 */
	private static final Log log = Logging.getLog(CiscoError.class);

	private static final long serialVersionUID = 1L;

	public void execute(ExecutionContext executionContext) throws Exception {

		log.debug("Launching CiscoError");

		ParseSwitchInterface cisco = (ParseSwitchInterface) Component
				.getInstance("cisco");

		NetworkSwitch networkswitch = (NetworkSwitch)executionContext.getVariable("networkswitch");
		cisco.endScan(networkswitch);


		log.debug("Ending CiscoError");

	}
}
