package jbpm;


import org.jboss.seam.Component;
import org.jboss.seam.log.Log;
import org.jboss.seam.log.Logging;
import org.jbpm.graph.def.ActionHandler;
import org.jbpm.graph.exe.ExecutionContext;

import cisco.ParseSwitchInterface;

import application.model.NetworkSwitch;

public class CiscoInterfaces implements ActionHandler {

	/**
	 * Logger for this class
	 */
	private static final Log log = Logging.getLog(CiscoInterfaces.class);

	private static final long serialVersionUID = 1L;

	public void execute(ExecutionContext executionContext) throws Exception {

		log.debug("Launching CiscoInterfaces");

		ParseSwitchInterface cisco = (ParseSwitchInterface) Component
				.getInstance("cisco");
		executionContext.getJbpmContext().getSession().beginTransaction();
		try {	
			NetworkSwitch networkswitch = (NetworkSwitch)executionContext.getVariable("networkswitch");			
			cisco.parseInterfaces(networkswitch);
			executionContext.setVariable("networkswitch", networkswitch);
			executionContext.leaveNode("parseMacs");
		} catch (Exception e) {
			
			executionContext.setVariable("error", e.getMessage());
			log.error("Exception occurred in CiscoInterfaces: "+ e.getMessage());
			executionContext.getNode().raiseException(e, executionContext);
			
		}

		log.debug("Ending CiscoInterfaces");

	}

}
