package jbpm;

import org.jboss.seam.Component;
import org.jboss.seam.log.Log;
import org.jboss.seam.log.Logging;
import org.jbpm.graph.def.ActionHandler;
import org.jbpm.graph.exe.ExecutionContext;

import application.model.NetworkSwitch;

import cisco.ParseSwitchInterface;

public class CiscoMacs implements ActionHandler {

	/**
	 * Logger for this class
	 */
	private static final Log log = Logging.getLog(CiscoMacs.class);

	private static final long serialVersionUID = 1L;

	public void execute(ExecutionContext executionContext) throws Exception {

		log.debug("Launching CiscoMacs");

		ParseSwitchInterface cisco = (ParseSwitchInterface) Component
				.getInstance("cisco");
		executionContext.getJbpmContext().getSession().beginTransaction();
		try {
			NetworkSwitch networkswitch = (NetworkSwitch)executionContext.getVariable("networkswitch");
			cisco.parseMacs(networkswitch);
			executionContext.setVariable("networkswitch", networkswitch);
			executionContext.leaveNode("parseVlans");
		} catch (Exception e) {
			executionContext.setVariable("error", e.getMessage());
			log.error("Exception occurred in CiscoMacs: "+ e.getMessage());
			executionContext.getNode().raiseException(e, executionContext);
		}

		log.debug("Ending CiscoMacs");

	}
}
